//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください

using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading;
using System.Drawing;

namespace nispi
{
    class BoardIndexViewCommon
    {
        public string Name = "";
        public string indexUrl = "";

        public BoardIndexControls boardIndexControls;
        public CountryIndexControls countryIndexControls;

        public BoardIndexViewCommon()
        {
        }

        public virtual void Cloose()
        {
            boardIndexControls.RemoveControls();
        }

        public virtual void ShowBoard(string name)
        {
            try
            {
                BoardDataBase.GetName(name);
            }
            catch (System.Exception ex)
            {
                //Const.debugForm.OutPutDebug("BoardIndex", ex);
                return;
            }
            MainFormConst.ShowBoard(name);
        }
    }
}
